user                            www;
worker_processes                auto; # it will be determinate automatically by the number of core
error_log                       /var/log/nginx/error.log warn;
pid                             /var/run/nginx/nginx.pid; # it permit you to use /etc/init.d/nginx reload|restart|stop|start

events {
    worker_connections          1024;
}

http {
    ssl_session_cache           shared:SSL:10m;
    ssl_session_timeout         10m;
    include                     /etc/nginx/mime.types;
    default_type                application/octet-stream;
    sendfile                    on;
    access_log                  /var/log/nginx/access.log;
    keepalive_timeout           3000;

    server {
        listen                  443 ssl;
        ssl_certificate         /etc/ssl/nginx.crt;
        ssl_certificate_key     /etc/ssl/nginx.key;
        root                    /var/www/site-pages;
        index                   index.php index.html index.htm;
        server_name             nabitbol.42.fr;
        client_max_body_size    32m;
        ssl_protocols           TLSv1 TLSv1.1 TLSv1.2;
        ssl_ciphers             HIGH:!aNULL:!MD5;
        error_page              500 502 503 504  /50x.html;
        location / {
             # First attempt to serve request as file, then    
             # as directory, then fall back to displaying a 404.    
             try_files $uri $uri/ /index.php?$args;  
        }
        location ~ \.php$ {
            fastcgi_split_path_info ^(.+\.php)(/.+)$;
            fastcgi_pass wordpress:9000;
            fastcgi_index index.php;
            include fastcgi_params;
            fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
            fastcgi_param SCRIPT_NAME $fastcgi_script_name;
        }
    }
}